package com.sunxung.factoring.component.datatransfer.model.purchcontract;

import com.deepoove.poi.data.TableRenderData;

/**
 * 补充合同模板填充视图层对象
 * @author daxian
 */
public class PurchContractChangeTemplateVo {

	//合同编号
	private String contractNumber;
	//买方
	private String buyerName;
	//买方社会统一信用代码
	private String buyerSocialCreditCode;
	//卖方
	private String seller;
	//卖方社会统一信用代码
	private String sellerSocialCreditCode;
	//下游企业名称
	private String purchaserName;
	//业务名称
	private String businessName;
	//原合同名称
	private String oldContractName;
	//原合同编号
	private String oldContractNumber;
	//货物信息
	private TableRenderData goods;
	//甲方单位名称
	private String companyPlatformName;
	//甲方签订日期
	private String companyPlatformDate;
	//乙方单位名称
	private String companySupplierName;
	//乙方签订日期
	private String companySupplierDate;
	//价格计算规则
	private String priceRuleDetail;
	//合同生效时间
	private String contractEffectDate;
	//其他约定
	private String otherConvention;

	public PurchContractChangeTemplateVo() {
	}

	public String getOtherConvention() {
		return otherConvention;
	}

	public void setOtherConvention(String otherConvention) {
		this.otherConvention = otherConvention;
	}

	public String getContractNumber() {
		return contractNumber;
	}

	public void setContractNumber(String contractNumber) {
		this.contractNumber = contractNumber;
	}

	public String getBuyerName() {
		return buyerName;
	}

	public void setBuyerName(String buyerName) {
		this.buyerName = buyerName;
	}

	public String getBuyerSocialCreditCode() {
		return buyerSocialCreditCode;
	}

	public void setBuyerSocialCreditCode(String buyerSocialCreditCode) {
		this.buyerSocialCreditCode = buyerSocialCreditCode;
	}

	public String getSeller() {
		return seller;
	}

	public void setSeller(String seller) {
		this.seller = seller;
	}

	public String getSellerSocialCreditCode() {
		return sellerSocialCreditCode;
	}

	public void setSellerSocialCreditCode(String sellerSocialCreditCode) {
		this.sellerSocialCreditCode = sellerSocialCreditCode;
	}

	public String getPurchaserName() {
		return purchaserName;
	}

	public void setPurchaserName(String purchaserName) {
		this.purchaserName = purchaserName;
	}

	public String getBusinessName() {
		return businessName;
	}

	public void setBusinessName(String businessName) {
		this.businessName = businessName;
	}

	public String getOldContractName() {
		return oldContractName;
	}

	public void setOldContractName(String oldContractName) {
		this.oldContractName = oldContractName;
	}

	public String getOldContractNumber() {
		return oldContractNumber;
	}

	public void setOldContractNumber(String oldContractNumber) {
		this.oldContractNumber = oldContractNumber;
	}

	public TableRenderData getGoods() {
		return goods;
	}

	public void setGoods(TableRenderData goods) {
		this.goods = goods;
	}

	public String getCompanyPlatformName() {
		return companyPlatformName;
	}

	public void setCompanyPlatformName(String companyPlatformName) {
		this.companyPlatformName = companyPlatformName;
	}

	public String getCompanyPlatformDate() {
		return companyPlatformDate;
	}

	public void setCompanyPlatformDate(String companyPlatformDate) {
		this.companyPlatformDate = companyPlatformDate;
	}

	public String getCompanySupplierName() {
		return companySupplierName;
	}

	public void setCompanySupplierName(String companySupplierName) {
		this.companySupplierName = companySupplierName;
	}

	public String getCompanySupplierDate() {
		return companySupplierDate;
	}

	public void setCompanySupplierDate(String companySupplierDate) {
		this.companySupplierDate = companySupplierDate;
	}

	public String getPriceRuleDetail() {
		return priceRuleDetail;
	}

	public void setPriceRuleDetail(String priceRuleDetail) {
		this.priceRuleDetail = priceRuleDetail;
	}

	public String getContractEffectDate() {
		return contractEffectDate;
	}

	public void setContractEffectDate(String contractEffectDate) {
		this.contractEffectDate = contractEffectDate;
	}
}
